Creates a new article status list
Request Information
URI Parameters :
None.
Body Parameters :
article_status_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_status_id |
Foreign key of the article_status |
globally unique identifier |
Required |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| sales_organization_id | globally unique identifier |
Required |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "1f01ceba-69cf-4d29-8e5b-d4bffe163b25",
"article_status_id": "d1548877-4214-4aa9-9450-b238334f7b14",
"article_id": "045d44d8-c986-4d52-a193-9db0356d0fc0",
"article_code": "sample string 4",
"sales_organization_id": "d687a380-dfb0-4d28-b403-4169ba211902",
"modified_dateutc": "2026-04-25T12:10:35.5228744+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.